Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader
Interface CollectionAliases

All Known Implementing Classes:
  ColumnCollectionAliases, GeneratedCollectionAliases

    public interface CollectionAliases

Type definition of CollectionAliases.

Author:
  Steve Ebersole

Method Summary
`String` | `getSuffix()` Returns the suffix used to unique the column aliases for this particular alias set.
`String[]` | `getSuffixedElementAliases()` Returns the suffixed result-set column-aliases for the columns making up the collection's elements.
`String` | `getSuffixedIdentifierAlias()` Returns the suffixed result-set column-aliases for the column defining the collection's identifier (if any).
`String[]` | `getSuffixedIndexAliases()` Returns the suffixed result-set column-aliases for the collumns making up the collection's index (map or list).
`String[]` | `getSuffixedKeyAliases()` Returns the suffixed result-set column-aliases for columns making up the key for this collection (i.e., its FK to its owner).

Method Detail

### getSuffixedKeyAliases

    String[] getSuffixedKeyAliases()

  Returns the suffixed result-set column-aliases for columns making up the key for this collection (i.e., its FK to its owner).

  Returns:
    The key result-set column aliases.

### getSuffixedIndexAliases

    String[] getSuffixedIndexAliases()

  Returns the suffixed result-set column-aliases for the collumns making up the collection's index (map or list).

  Returns:
    The index result-set column aliases.

### getSuffixedElementAliases

    String[] getSuffixedElementAliases()

  Returns the suffixed result-set column-aliases for the columns making up the collection's elements.

  Returns:
    The element result-set column aliases.

### getSuffixedIdentifierAlias

    String getSuffixedIdentifierAlias()

  Returns the suffixed result-set column-aliases for the column defining the collection's identifier (if any).

  Returns:
    The identifier result-set column aliases.

### getSuffix

    String getSuffix()

  Returns the suffix used to unique the column aliases for this particular alias set.

  Returns:
    The uniqued column alias suffix.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD